## org.eclipse.emf.cdo.spi.common.id
Class AbstractCDOID

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.id.AbstractCDOID

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOID>, CDOID

Direct Known Subclasses:
  AbstractCDOIDInteger, AbstractCDOIDLong

    public abstract class AbstractCDOID

extends java.lang.Object
implements CDOID

Since:
  2.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`CDOID.Type`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`NULL`

Constructor Summary
`AbstractCDOID()`

Method Summary
`int` `compareTo(CDOID o)`
`protected abstract int` `doCompareTo(CDOID o)`
`boolean` `isExternal()`
`boolean` `isMeta()`
`boolean` `isNull()`
`boolean` `isObject()`
`boolean` `isTemporary()`
`abstract void` `read(org.eclipse.net4j.util.io.ExtendedDataInput in)`
`abstract void` `read(java.lang.String fragmentPart)` Note: `CDOID.toURIFragment()` and `read(String)` need to match.
`abstract void` `write(org.eclipse.net4j.util.io.ExtendedDataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`getType, toURIFragment`

Constructor Detail

### AbstractCDOID

    public AbstractCDOID()

Method Detail

### isNull

    public boolean isNull()

  Specified by:
    `isNull` in interface `CDOID`

### isObject

    public boolean isObject()

  Specified by:
    `isObject` in interface `CDOID`

### isMeta

    public boolean isMeta()

  Specified by:
    `isMeta` in interface `CDOID`

### isTemporary

    public boolean isTemporary()

  Specified by:
    `isTemporary` in interface `CDOID`

### isExternal

    public boolean isExternal()

  Specified by:
    `isExternal` in interface `CDOID`

### compareTo

    public final int compareTo(CDOID o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<CDOID>`

### doCompareTo

    protected abstract int doCompareTo(CDOID o)
                                throws java.lang.ClassCastException

  Throws:
    `java.lang.ClassCastException`

### read

    public abstract void read(java.lang.String fragmentPart)

  Note: `CDOID.toURIFragment()` and `read(String)` need to match.

### read

    public abstract void read(org.eclipse.net4j.util.io.ExtendedDataInput in)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public abstract void write(org.eclipse.net4j.util.io.ExtendedDataOutput out)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.